| Home | Libraries | People | FAQ | More

## Struct template make_avl_set

boost::intrusive::make_avl_set

## Synopsis

    // In header: <boost/intrusive/avl_set.hpp>

    template<typename T, class... Options>
    struct make_avl_set {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a `avl_set` that yields to the same type when the same options (either explicitly or implicitly) are used.